Loading...
Searching...
No Matches
juce::OpenGLTexture Class Reference

## Detailed Description

Creates an openGL texture from an Image.

The documentation for this class was generated from the following file:

- juce_opengl/opengl/juce_OpenGLTexture.h

## Public Member Functions

| OpenGLTexture ()
| ~OpenGLTexture ()
void | loadImage (const Image &image)
| Creates a texture from the given image.
void | loadARGB (const PixelARGB *pixels, int width, int height)
| Creates a texture from a raw array of pixels.
void | loadARGBFlipped (const PixelARGB *pixels, int width, int height)
| Creates a texture from a raw array of pixels.
void | loadAlpha (const uint8 *pixels, int width, int height)
| Creates an alpha-channel texture from an array of alpha values.
void | release ()
| Frees the texture, if there is one.
void | bind () const
| Binds the texture to the currently active openGL context.
void | unbind () const
| Unbinds the texture to the currently active openGL context.
GLuint | getTextureID () const noexcept
| Returns the GL texture ID number.
int | getWidth () const noexcept
int | getHeight () const noexcept

## Static Public Member Functions

static bool | isValidSize (int width, int height)
| Returns true if a texture can be created with the given size.

## Constructors and Destructors

## OpenGLTexture()

juce::OpenGLTexture::OpenGLTexture | ( |  | ) |

Referenced by isValidSize().

## ~OpenGLTexture()

juce::OpenGLTexture::~OpenGLTexture | ( |  | ) |

## Member Functions

## loadImage()

void juce::OpenGLTexture::loadImage | ( | const Image & | image | ) |

Creates a texture from the given image.

Note that if the image's dimensions aren't a power-of-two, the texture may be created with a larger size.

The image will be arranged so that its top-left corner is at texture coordinate (0, 1).

## loadARGB()

void juce::OpenGLTexture::loadARGB | ( | const PixelARGB * | pixels,
|  | int | width,
|  | int | height )

Creates a texture from a raw array of pixels.

If width and height are not powers-of-two, the texture will be created with a larger size, and only the subsection (0, 0, width, height) will be initialised. The data is sent directly to the OpenGL driver without being flipped vertically, so the first pixel will be mapped onto texture coordinate (0, 0).

## loadARGBFlipped()

void juce::OpenGLTexture::loadARGBFlipped | ( | const PixelARGB * | pixels,
|  | int | width,
|  | int | height )

Creates a texture from a raw array of pixels.

This is like loadARGB, but will vertically flip the data so that the first pixel ends up at texture coordinate (0, 1), and if the width and height are not powers-of-two, it will compensate by using a larger texture size.

## loadAlpha()

void juce::OpenGLTexture::loadAlpha | ( | const uint8 * | pixels,
|  | int | width,
|  | int | height )

Creates an alpha-channel texture from an array of alpha values.

If width and height are not powers-of-two, the texture will be created with a larger size, and only the subsection (0, 0, width, height) will be initialised. The data is sent directly to the OpenGL driver without being flipped vertically, so the first pixel will be mapped onto texture coordinate (0, 0).

## release()

void juce::OpenGLTexture::release | ( |  | ) |

Frees the texture, if there is one.

## bind()

void juce::OpenGLTexture::bind | ( |  | ) | const

Binds the texture to the currently active openGL context.

## unbind()

void juce::OpenGLTexture::unbind | ( |  | ) | const

Unbinds the texture to the currently active openGL context.

## getTextureID()

GLuint juce::OpenGLTexture::getTextureID | ( |  | ) | const

inline noexcept

Returns the GL texture ID number.

## getWidth()

int juce::OpenGLTexture::getWidth | ( |  | ) | const

inline noexcept

## getHeight()

int juce::OpenGLTexture::getHeight | ( |  | ) | const

inline noexcept

## isValidSize()

bool juce::OpenGLTexture::isValidSize | ( | int | width,
|  | int | height )

static

Returns true if a texture can be created with the given size.

Some systems may require that the sizes are powers-of-two.

References h, OpenGLTexture(), and w.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited